(function () {
  'use strict';

  angular
    .module('app')
    .run(run);

  run.$inject = ['$rootScope', '$window', 'PostosService'];

  function run($rootScope, $window, PostosService) {
    $rootScope.$on('$stateChangeSuccess', function (event, toState, toParams, fromState, fromParams) {
      if( ionic.Platform.isWebView() && toState.data && toState.data.title) {
        if(toState.name !== "app.posto") {
          $window.analytics.trackView(toState.data.title);
        }
      }
    });
  }
}());
